searchData={"items":[{"type":"module","doc":"YubinBango is a library for lookup address with Japan postal code.","title":"YubinBango","ref":"YubinBango.html"},{"type":"function","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","title":"YubinBango.child_spec/1","ref":"YubinBango.html#child_spec/1"},{"type":"function","doc":"Lookup the zipcode and return the result.","title":"YubinBango.lookup/1","ref":"YubinBango.html#lookup/1"},{"type":"function","doc":"iex> YubinBango.lookup(\"105-0004\")\n    {:ok, %YubinBango.Address{city: \"港区\", city_kana: \"ﾐﾅﾄｸ\", district: \"新橋\", district_kana: \"ｼﾝﾊﾞｼ\", prefecture: \"東京都\", prefecture_kana: \"ﾄｳｷｮｳﾄ\", zipcode: \"1050004\"}}\n\n    iex> YubinBango.lookup(\"1050004\")\n    {:ok, %YubinBango.Address{city: \"港区\", city_kana: \"ﾐﾅﾄｸ\", district: \"新橋\", district_kana: \"ｼﾝﾊﾞｼ\", prefecture: \"東京都\", prefecture_kana: \"ﾄｳｷｮｳﾄ\", zipcode: \"1050004\"}}\n\n    iex> YubinBango.lookup(\"1234567\")\n    {:error, :not_found}\n\n    iex> YubinBango.lookup(\"12345678\")\n    {:error, :wrong_format, \"Please specify a 7-digit zip code with or without hyphen. (e.g. 1234567 or 123-4567)\"}","title":"Examples - YubinBango.lookup/1","ref":"YubinBango.html#lookup/1-examples"},{"type":"function","doc":"Start the yubin bango server.","title":"YubinBango.start_link/1","ref":"YubinBango.html#start_link/1"},{"type":"module","doc":"A struct representing a Japanese address","title":"YubinBango.Address","ref":"YubinBango.Address.html"},{"type":"type","doc":"","title":"YubinBango.Address.t/0","ref":"YubinBango.Address.html#t:t/0"},{"type":"module","doc":"A module for CSV utilities\n\n郵便番号データファイルの形式等\n\n全角となっている町域部分の文字数が38文字を越える場合、また半角となっているフリガナ部分の文字数が76文字を越える場合は、複数レコードに分割しています。\nこの郵便番号データファイルでは、以下の順に配列しています。\n\n1. 全国地方公共団体コード（JIS X0401、X0402）………　半角数字\n2.（旧）郵便番号（5桁）………………………………………　半角数字\n3. 郵便番号（7桁）………………………………………　半角数字\n4. 都道府県名　…………　半角カタカナ（コード順に掲載）　（※1）\n5. 市区町村名　…………　半角カタカナ（コード順に掲載）　（※1）\n6. 町域名　………………　半角カタカナ（五十音順に掲載）　（※1）\n7. 都道府県名　…………　漢字（コード順に掲載）　（※1,2）\n8. 市区町村名　…………　漢字（コード順に掲載）　（※1,2）\n9. 町域名　………………　漢字（五十音順に掲載）　（※1,2）\n10. 一町域が二以上の郵便番号で表される場合の表示　（※3）　（「1」は該当、「0」は該当せず）\n11. 小字毎に番地が起番されている町域の表示　（※4）　（「1」は該当、「0」は該当せず）\n12. 丁目を有する町域の場合の表示　（「1」は該当、「0」は該当せず）\n13. 一つの郵便番号で二以上の町域を表す場合の表示　（※5）　（「1」は該当、「0」は該当せず）\n14. 更新の表示（※6）（「0」は変更なし、「1」は変更あり、「2」廃止（廃止データのみ使用））\n15. 変更理由　（「0」は変更なし、「1」市政・区政・町政・分区・政令指定都市施行、「2」住居表示の実施、「3」区画整理、「4」郵便区調整等、「5」訂正、「6」廃止（廃止データのみ使用））\n※1\n\n文字コードには、MS漢字コード（SHIFT JIS）を使用しています。\n※2\n\n文字セットとして、JIS X0208-1983を使用し、規定されていない文字はひらがなで表記しています。\n※3\n\n「一町域が二以上の郵便番号で表される場合の表示」とは、町域のみでは郵便番号が特定できず、丁目、番地、小字などにより番号が異なる町域のことです。\n※4\n\n「小字毎に番地が起番されている町域の表示」とは、郵便番号を設定した町域（大字）が複数の小字を有しており、各小字毎に番地が起番されているため、町域（郵便番号）と番地だけでは住所が特定できない町域のことです。","title":"YubinBango.CsvUtils","ref":"YubinBango.CsvUtils.html"},{"type":"function","doc":"","title":"YubinBango.CsvUtils.decode_japan_post_csv/1","ref":"YubinBango.CsvUtils.html#decode_japan_post_csv/1"},{"type":"module","doc":"A module to work with ets","title":"YubinBango.ETSUtils","ref":"YubinBango.ETSUtils.html"},{"type":"function","doc":"Lookup the zipcode and return the result.","title":"YubinBango.ETSUtils.address_lookup/2","ref":"YubinBango.ETSUtils.html#address_lookup/2"},{"type":"function","doc":"iex> YubinBango.ETSUtils.address_lookup(:yubin_bango, \"105-0004\")\n    {:ok, %YubinBango.Address{city: \"港区\", city_kana: \"ﾐﾅﾄｸ\", district: \"新橋\", district_kana: \"ｼﾝﾊﾞｼ\", prefecture: \"東京都\", prefecture_kana: \"ﾄｳｷｮｳﾄ\", zipcode: \"1050004\"}}\n\n    iex> YubinBango.ETSUtils.address_lookup(:yubin_bango, \"1050004\")\n    {:ok, %YubinBango.Address{city: \"港区\", city_kana: \"ﾐﾅﾄｸ\", district: \"新橋\", district_kana: \"ｼﾝﾊﾞｼ\", prefecture: \"東京都\", prefecture_kana: \"ﾄｳｷｮｳﾄ\", zipcode: \"1050004\"}}\n\n    iex> YubinBango.ETSUtils.address_lookup(:yubin_bango, \"1234567\")\n    {:error, :not_found}\n\n    iex> YubinBango.ETSUtils.address_lookup(:yubin_bango, \"12345678\")\n    {:error, :wrong_format, \"Please specify a 7-digit zip code. (e.g. 1234567 or 123-4567)\"}","title":"Examples - YubinBango.ETSUtils.address_lookup/2","ref":"YubinBango.ETSUtils.html#address_lookup/2-examples"},{"type":"function","doc":"","title":"YubinBango.ETSUtils.create_table/1","ref":"YubinBango.ETSUtils.html#create_table/1"},{"type":"function","doc":"","title":"YubinBango.ETSUtils.import_csv/2","ref":"YubinBango.ETSUtils.html#import_csv/2"},{"type":"function","doc":"","title":"YubinBango.ETSUtils.insert_address_data/3","ref":"YubinBango.ETSUtils.html#insert_address_data/3"},{"type":"extras","doc":"# YubinBango\n\n  YubinBango is a library for lookup address with Japan postal code.\n  It uses ETS for blazing fast lookup address.\n  YubinBangoは日本の郵便番号から住所を検索するライブラリです。","title":"YubinBango","ref":"readme.html"},{"type":"extras","doc":"If [available in Hex](https://hex.pm/docs/publish), the package can be installed\nby adding `yubin_bango` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:yubin_bango, \"~> 0.1.0\"}\n  ]\nend\n```\n\nDocumentation can be generated with [ExDoc](https://github.com/elixir-lang/ex_doc)\nand published on [HexDocs](https://hexdocs.pm). Once published, the docs can\nbe found at  .","title":"Installation - YubinBango","ref":"readme.html#installation"},{"type":"extras","doc":"```elixir\n\n# Add yubin_bango to your application to start the server when the application starts\n\ndefmodule MyApp.Application do\n  use Application\n\n  ...\n\n  defp children do\n    [\n      ...,\n      ...,\n      {YubinBango, []}\n\n      # or with named ets table\n      # {YubinBango, [table_name: :yubin_bango_table]}\n    ]\n  end\nend\n\n# Lookup address with postal code\n\niex> YubinBango.lookup(\"1050004\")\n{:ok, %YubinBango.Address{city: \"港区\", city_kana: \"ﾐﾅﾄｸ\", district: \"新橋\", district_kana: \"ｼﾝﾊﾞｼ\", prefecture: \"東京都\", prefecture_kana: \"ﾄｳｷｮｳﾄ\", zipcode: \"1050004\"}}\n\niex> YubinBango.lookup(\"105-0004\")\n{:ok, %YubinBango.Address{city: \"港区\", city_kana: \"ﾐﾅﾄｸ\", district: \"新橋\", district_kana: \"ｼﾝﾊﾞｼ\", prefecture: \"東京都\", prefecture_kana: \"ﾄｳｷｮｳﾄ\", zipcode: \"1050004\"}}\n\niex> YubinBango.lookup(\"1050004-1\")\n{:error, :wrong_format, _}\n\niex> YubinBango.lookup(\"1234567\")\n{:error, :wrong_format, _}\n```","title":"Usage - YubinBango","ref":"readme.html#usage"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}